#ifndef _ADDREC_H
#define _ADDREC_H

#include<stdio.h>
#include"ecma_167.h"

//没有特殊情况不在此定义结构体，宏，不增加多余的依赖
//在此文件定义暴露给外部的接口，参数和返回值尽量使用原生类型，减少依赖。


int initUdfMod(char *devname);
int finUdfMod();
int lsCDR();
char *getUDFImageName();
struct stfiledir * getFileTreeSt();
int updateFileTree();
int mkAddUdfFs(int startBlock, int endBlock, char *isoFileName, double vernum);
int makeTmpFile(char *imagepath,double vernum);
int updateISO();
int delFile4Tree(char *filepath);
int copyFile2ISO(char *filepath, char* topath);
int copyDir2ISO(char *filepath, char* topath);
int makeDir2ISO(char *dirname, char* topath);
int ejectUdfDisc();
int getAddBlocks();
int getAlreadyInit();
char * getDevicePath();
char * convGTKTreePath(char* path);
char * convGTKTreePathDir(char* path);
int delFlowTree(struct stfiledir * currTree);
char * getTrackLabel();
char * getLastTrackInfo(char * inputdev);
char * GetUdfDiscType();
uint32_t GetUdfBlankBlock();
int CpFileDir2UDFImage(char *imagepath); //需要su
int MkBlankUDFImage(char *devname, char *tmppath, double vernum);
int UpdateBlankUDFImage(char *imagepath, double vernum);
int PatchBlankUDFImage(char *imagepath, double vernum);
int FinUdfNewBurn();
int WriteFL2stTree();
// new
int readVATtable(uint32_t blkno);
uint32_t getUdfModInitVer();
#endif


