/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
* Copyright (C) 2006 Paolo Borelli <pborelli@katamail.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street - Suite 500, Boston, MA 02110-1335, USA.
*
* Authors: Paolo Borelli <pborelli@katamail.com>
*
*/

#ifndef _DISK_BURN_WINDOW_H_
#define _DISK_BURN_WINDOW_H_

#include <gtk/gtk.h>
#include <config.h>
#include <libintl.h>

G_BEGIN_DECLS

#define _(String) dgettext(GETTEXT_PACKAGE,String)

#define DIST_TYPE_BURN_WINDOW (disk_burn_window_get_type ())

G_DECLARE_FINAL_TYPE (DiskBurnWindow, disk_burn_window, DISK, BURN_WINDOW, GtkWindow)

GtkWidget       *disk_burn_window_new         (const char *unix_device, const char *file_path);

G_END_DECLS

#endif /* __GS_BURN_WINDOW_H */
