#ifndef _GENRECIF_H
#define _GENRECIF_H

#include<stdio.h>
#include <locale.h>
#include <stdint.h>

//没有特殊情况不在此定义结构体，宏，不增加多余的依赖
//在此文件定义暴露给外部的接口，参数和返回值尽量使用原生类型，减少依赖。

int InitDisc(char *devname);
char * GetDiscType();
uint32_t * GetDiscBurnTimes();
char * GetBurnedDiscFS();
uint32_t GetDiscBlankBlock();
int GetDiscLabelName(char *inStr);
int SetDiscLabelName(char *inStr);
int SetBurnFS4Disc(char *burnFS);
uint32_t GetBurnSpeed(char * devname);
uint32_t SetBurnSpeed(uint32_t burnspeed);
int SetVerifyAfterBurn(int isverify);
int SetCloseAfterBurn(int isclose);
int AddFileDirInfo(char *filepath,char* topath,int isrecorded,int isdir);
uint64_t GetBurnImgSize();
int MkImg4Burn(char *imgpath);
char *GettmpBurnImageName();
int BurnImage2Disc(char *imagename,char *devname,int addflag,int blockflag);
int ClearDiscBurnInfo();
int InitWithOverride(char *devname, double cdiscFSVer, uint32_t ccurrTrack);
int CopyOnlyDirFiles(char *dirname);
int GetBurnRate();
#endif


