#ifndef _ADDISOREC_H
#define _ADDISOREC_H

#include<stdio.h>
#include"ecma_167.h"

//没有特殊情况不在此定义结构体，宏，不增加多余的依赖
//在此文件定义暴露给外部的接口，参数和返回值尽量使用原生类型，减少依赖。

int InitIsoFs(char *devname);
int InitIsoInfo(char *devinfo);
int FinIsoFs();
uint32_t GetIsoBlankBlock();
char * GetIsoDiscType();
char * GetIsoTrackLabel();
int MkFileDirLn(char *tmppath);
int MkFileDirCp(char *tmppath);
int MkIsoImg(char *devname,char *tmppath,int appendflag,int rrflag,int jflag);
char *GetTmpIsoName();
#endif


